.mm-rows-with-count-wrapper {
  img,
  video {
    width: 100%;
    height: auto;
  }

  .desktop-image {
    display: none;
  }

  .container {
    max-width: 1250px;
    padding: 0 20px;
    margin: auto;
  }

  .section-header {
    margin-bottom: 40px;
  }

  .heading {
    text-align: center;
    color: #132A5A;
    margin-bottom: 16px;
    font-weight: 600;
  }

  .description * {
    font-size: 16px;
    color: #585859;
    line-height: 140%;
  }

  .col-icon {
    background: #8F6F3E;
    border-radius: 50%;
    width: 52px;
    height: 52px;
    display: flex;
    justify-content: center;
    align-items: center;

    img {
      max-width: 18px;
    }
  }

  .col-icon-wrapper {
    display: flex;
    justify-content: center;
    margin-bottom: 14px;
  }

  .col-heading {
    color: #132A5A;
    font-weight: 600;
    letter-spacing: -0.96px;
    font-size: 24px;
    text-align: center;
    margin-bottom: 12px;
  }

  .col-description {
    margin-bottom: 24px;

    * {
      color: #707070;
      font-size: 16px;
      line-height: 130%;
    }
  }

  .media-inner {
    border-radius: 20px;
    border: 2px solid #8F6F3E;
    overflow: hidden;
  }

  .col-inner:not(:last-child) {
    margin-bottom: 40px;
  }

  .video-wrapper {
    position: relative;
    max-height: 210px;
  }

  .play-button {
    background: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;

    img {
      max-width: 52px;
    }
  }

  .text-block {
    display: none;
  }

  .section-icon-mobile {
    margin-bottom: 10px;
  }

  @media (min-width: 768px) {
    .section-icon-mobile {
      display: none;
    }

    .rows-inner-wrapper {
      display: flex;
      gap: 30px;
      flex-wrap: wrap;

      > div {
        width: calc(100% / 2 - 15px);
        display: flex;
        flex-direction: column;
        justify-content: space-between;
      }

      .col-inner {
        margin-bottom: 0;
      }
    }

    .col-icon-wrapper {
      justify-content: flex-start;
    }

    .col-heading {
      text-align: left;
    }

    .text-block {
      display: block;
      align-self: end;
    }

    .text-content {
      color: #6F5630;
    }
  }

  @media (min-width: 992px) {
    .section-header {
      max-width: 850px;
      margin: 0 auto 50px;
    }

    .description p {
      text-align: center;
      font-size: 18px;
    }

    .col-icon img {
      max-width: 24px;
    }
  }

  @media (min-width: 1200px) {
    .desktop-image {
      display: block;
    }

    .mobile-image {
      display: none;
    }

    .video-wrapper {
      max-height: max-content;
    }

    .rows-inner-wrapper .col-inner {
      flex-direction: row;
      gap: 25px;
    }

    .col-icon-wrapper {
      margin-bottom: 0;
    }

    .col-content {
      width: calc(100% - 300px);
    }

    .media-wrapper {
      width: 220px;

      img {
        height: 100%;
        object-fit: cover;
      }
    }

    .text-content {
      max-width: 95%;
      margin-left: auto;
      text-align: right;
    }

    .rows-inner-wrapper {
      column-gap: 100px;
      row-gap: 10px;

      > div {
        width: calc(50% - 50px);
      }
    }

    video {
      height: 180px;
      object-fit: cover;
    }

    .media-wrapper.img-only .media-inner img {
      height: 180px;
    }

  }

}
